/*
 * COPYRIGHT (c) 2009 by Institute of Computer Science, 
 * Foundation for Research and Technology - Hellas
 * Contact: 
 *      POBox 1385, Heraklio Crete, GR-700 13 GREECE
 *      Tel:+30-2810-391632
 *      Fax: +30-2810-391638
 *      E-mail: isl@ics.forth.gr
 *      http://www.ics.forth.gr/isl/cci.html
 *
 *  Original Author  :  Georgis Christos
 *  Modified by: Georgis Christos
 *
 *  This file is part of  ISL - Time-Primitive JAVA-API
 *
 *  ISL - Time-Primitive JAVA-API is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  ISL - Time-Primitive JAVA-API is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ISL - Time-Primitive JAVA-API.  If not, see <http://www.gnu.org/licenses/>.
 */
 package sistime;

public class StringObject extends Object {
  String value;

  public StringObject() {
    super();
    value = new String();
  }

  public StringObject(String val) {
    super();
    value = val;
  }

  public void setValue(String v) {
    value = v;
  }

  public String getValue() {
    return value;
  }

  public String toString() {
    return value;
  }
}
