/*
 * COPYRIGHT (c) 2009 by Institute of Computer Science,
 * Foundation for Research and Technology - Hellas
 * Contact:
 *      POBox 1385, Heraklio Crete, GR-700 13 GREECE
 *      Tel:+30-2810-391632
 *      Fax: +30-2810-391638
 *      E-mail: isl@ics.forth.gr
 *      http://www.ics.forth.gr/isl/cci.html
 *
 *  Original Author  :  C. Georgis
 *  Modified by: C. Georgis
 *
 *  This file is part of  ISL - Time-Primitive Java-API
 *
 *  ISL - Time-Primitive Java-API is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  ISL - Time-Primitive Java-API is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ISL - Time-Primitive Java-API.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef REL_TIMEH
#define REL_TIMEH

#include <stdio.h>
#include <windows.h>

extern "C" void WINAPI present(int lower, int upper, char *string, int lang);
extern "C" int  WINAPI time_parse(int *lower, int *upper, char * parse_str);
extern "C" int  WINAPI get_time_error_message(char *str);
extern "C" void WINAPI print(int lower, int upper, int lang);
#endif
